package com.perforce.hive.plugin.local;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.SortedMap;
import java.util.TreeMap;

import com.perforce.hive.api.artifact.ResultInterface;
import com.perforce.hive.api.search.ResultDetailed;

public class LocalResult implements ResultInterface {

	private final SortedMap<String, String> row = new TreeMap<>();
	private final String link;

	public LocalResult(ResultDetailed result) {

		String depot = result.getFilesModel().getDepotFile();

		// add attributes
		row.put("DepotPath", depot);
		row.put("User", result.getModifiedByUser());

		List<String> parts = new ArrayList<>();
		parts.addAll(Arrays.asList(depot.split("/")));
		parts.remove(0);
		parts.remove(0);
		this.link = "/view/" + String.join("/", parts);
	}

	@Override
	public String getLink() {
		return link;
	}

	@Override
	public SortedMap<String, String> getRow() {
		return row;
	}

}
